package body MSHTML.IHTCPropertyBehavior_Object is

   procedure fireChange
     (This : IHTCPropertyBehavior_Type)
   is
   begin
      Invoke (This, IHTCPropertyBehavior_fireChange);
   end fireChange;

   procedure Put_value
     (This : IHTCPropertyBehavior_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTCPropertyBehavior_Put_value,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_value;

   function Get_value
     (This : IHTCPropertyBehavior_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTCPropertyBehavior_Get_value);
   end Get_value;

end MSHTML.IHTCPropertyBehavior_Object;

